Skip site navigation (1) Skip section navigation (2)

Re: RE: [HACKERS] Kerberos V5 required for PostgreSQL installation on Windows

From: Dave Page <dpage(at)pgadmin(dot)org>
To: Magnus Hagander <magnus(at)hagander(dot)net>
Cc: Zeugswetter Andreas OSB sIT <Andreas(dot)Zeugswetter(at)s-itsolutions(dot)at>, Dann Corbit <DCorbit(at)connx(dot)com>, "pgsql-hackers(at)postgresql(dot)org" <pgsql-hackers(at)postgresql(dot)org>
Subject: Re: RE: [HACKERS] Kerberos V5 required for PostgreSQL installation on Windows
Date: 2009-02-27 09:47:28
Message-ID: 937d27e10902270147h367b3b84y696886c5356522ae@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-generalpgsql-hackers
On Fri, Feb 27, 2009 at 9:39 AM, Magnus Hagander <magnus(at)hagander(dot)net> wrote:
> Dave Page wrote:
>> On Fri, Feb 27, 2009 at 8:47 AM, Zeugswetter Andreas OSB sIT
>> <Andreas(dot)Zeugswetter(at)s-itsolutions(dot)at> wrote:
>>> We should delayload this dll since it is only needed
>>> for specific configuration. No need to install when it is not used.
>>
>> That would require building knowledge of DLL names into the code,
>> which isn't practical as some projects have a habit of changing them
>> regularly (e.g. gettext).
>
> Are you sure?
>
> http://msdn.microsoft.com/en-us/library/hf3f62bz.aspx
>
> seems to indicate that you can do it on just the commandline if you want to?

Hmm, didn't know you could do that. We'd still need code support to
figure out the DLL name from the import library so we can generate the
command line correctly though.


-- 
Dave Page
EnterpriseDB UK:   http://www.enterprisedb.com

In response to

pgsql-hackers by date

Next:From: Heikki LinnakangasDate: 2009-02-27 09:52:43
Subject: Immediate shutdown and system(3)
Previous:From: Magnus HaganderDate: 2009-02-27 09:39:23
Subject: Re: RE: [HACKERS] Kerberos V5 required for PostgreSQL installation on Windows

pgsql-general by date

Next:From: Grzegorz JaƛkiewiczDate: 2009-02-27 10:10:43
Subject: Re: funny view/temp table problem with query
Previous:From: Magnus HaganderDate: 2009-02-27 09:39:23
Subject: Re: RE: [HACKERS] Kerberos V5 required for PostgreSQL installation on Windows

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group